from typing import *
from typing import Optional, TypeVar

T = TypeVar('T')
U = TypeVar('U')

def unionWith(m1: Dict[T, U], m2: Dict[T, U], f: Callable[[U, U], U]) -> Dict[T, U]: ...
def unionsWith(ms: List[Dict[T, U]], f: Callable[[List[U]], U], df: U) -> Dict[T, U]: ...
def union(m1: Dict[T, U], m2: Dict[T, U]) -> Dict[T, U]: ...
def map(m: Dict[T, U], f: Callable[[U], U]) -> Dict[T, U]: ...
def mapWithKey(m: Dict[T, U], f: Callable[[T, U], U]) -> Dict[T, U]: ...
def relabel(m: Dict[T, U], kms: Dict[T, List[T]]) -> Dict[T, U]: ...
def filter(m: Dict[T, U], f: Callable[[U], bool]) -> Dict[T, U]: ...
def invert(m: Dict[T, U]) -> Dict[U, T]: ...
def getDf(m: Dict[T, U], k: T) -> Optional[U]: ...
def gets(m: Dict[T, U], ks: List[T]) -> List[U]: ...
